> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/new-udexpansionpanelgroup.md).

# New-UDExpansionPanelGroup

New-UDExpansionPanelGroup organiserer flere New-UDExpansionPanel-komponenter i PowerShell Universal i ét grupperet, sammenklappeligt sæt.

### Synopsis

Ekspansionspanelkomponenten giver brugeren mulighed for at vise og skjule sektioner af relateret indhold på en side.

### Syntaks

```powershell
New-UDExpansionPanelGroup [-Id <String>] [[-Children] <ScriptBlock>] [-Type <String>] [-ClassName <String>] [<CommonParameters>]
```

### Beskrivelse

Opretter en gruppe af udvidelsespaneler. Brug New-UDExpansionPanel til at oprette underordnede elementer til en gruppe.

### Parametre

#### -Id

Id for komponenten. Standardværdien er et tilfældigt GUID.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Udvidelsespaneler, der skal medtages i denne gruppe.

```
Required?                    false
Position?                    1
Default value                {}
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Type

Typen af udvidelsespanelgruppe.

```
Required?                    false
Position?                    named
Default value                Expandable
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

En CSS-klasse, der skal anvendes på udvidelsespanelgruppen.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Fælles parametre

Denne cmdlet understøtter de fælles parametre: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable og OutVariable. Se [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216) for at få flere oplysninger.

### Output

### Eksempler

#### Eksempel 1: udvidelsespanel

```powershell
New-UDExpansionPanelGroup -Id 'expandsionPanelGroup1' -Children {
    New-UDExpansionPanel -Title "Hello" -Content {} -Active -Id 'expansionPanel1'
    New-UDExpansionPanel -Title "Hello" -Content {
        New-UDElement -Tag 'div' -Content { "Hello" }
    } -Id 'expansionPanel2'
    New-UDExpansionPanel -Title "Hello" -Content {
       New-UDElement -Tag 'div' -id 'expEndpointDiv' -Content { "Hello" }
    } -Id 'expansionPanel3'
}
```

Opretter en gruppe af udvidelsespaneler.

#### Eksempel 2: accordion

```powershell
New-UDExpansionPanelGroup -Id 'expandsionPanelGroup3' -Children {
    New-UDExpansionPanel -Title "Hello" -Content {} -Id 'expansionPanel6'
    New-UDExpansionPanel -Title "Hello" -Content {} -Id 'expansionPanel7'
} -Type 'Accordion'
```

Opretter en gruppe af udvidelsespaneler i accordion-stil.

#### Eksempel 3: ikoner

```powershell
New-UDExpansionPanelGroup -Id 'expandsionPanelGroup4' -Children {
    New-UDExpansionPanel -Title "Hello" -Content {} -Icon (New-UDIcon -Icon 'Users') -Id 'expansionPanel8'
    New-UDExpansionPanel -Title "Hello" -Content {} -Icon (New-UDIcon -Icon 'User') -Id 'expansionPanel9'
}
```

Opretter en gruppe af udvidelsespaneler med ikoner.

\[Component("Expansion Panel", "Expand", "Creates a new card.")]


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/new-udexpansionpanelgroup.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
